<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Transportista{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$vehiculo,$placa){
	$sql="INSERT INTO transportista (tipo_persona,nombre,tipo_documento,num_documento,direccion,telefono,email,vehiculo,placa) VALUES ('$tipo_persona','$nombre','$tipo_documento','$num_documento','$direccion','$telefono','$email','$vehiculo','$placa')";
	return ejecutarConsulta($sql);
}

public function editar($idtransportista,$tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$vehiculo,$placa){
	$sql="UPDATE transportista SET tipo_persona='$tipo_persona', nombre='$nombre',tipo_documento='$tipo_documento',num_documento='$num_documento',direccion='$direccion',telefono='$telefono',email='$email',vehiculo='$vehiculo',placa='$placa'
	WHERE idtransportista='$idtransportista'";
	return ejecutarConsulta($sql);
}
//funcion para eliminar datos
public function eliminar($idtransportista){
	$sql="DELETE FROM transportista WHERE idtransportista='$idtransportista'";
	return ejecutarConsulta($sql);
}

public function desactivar($idtransportista){
	$sql="UPDATE transportista SET condicion='0' WHERE idtransportista='$idtransportista'";
	return ejecutarConsulta($sql);
}
public function activar($idtransportista){
	$sql="UPDATE transportista SET condicion='1' WHERE idtransportista='$idtransportista'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idtransportista){
	$sql="SELECT * FROM transportista WHERE idtransportista='$idtransportista'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un cliente
public function buscarcliente($tipo_documento,$num_documento){
	$sql="SELECT * FROM transportista WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Cliente'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un proveedor
public function buscarproveedor($tipo_documento,$num_documento){
	$sql="SELECT * FROM transportista WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Proveedor'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listarp(){
	$sql="SELECT * FROM transportista WHERE tipo_persona='Proveedor'";
	return ejecutarConsulta($sql);
}
public function listarc(){
	$sql="SELECT * FROM transportista WHERE tipo_persona='Cliente'";
	return ejecutarConsulta($sql);
}

public function listar(){
	$sql="SELECT * FROM transportista WHERE condicion='1'";
	return ejecutarConsulta($sql);
}

public function listarct(){
	$sql="SELECT * FROM tarjeta WHERE condicion='1'";
	return ejecutarConsulta($sql);
}
}

 ?>
